tellcasey
APIAPI Reference

Scheduled Conversations

/connections/{code}/scheduled-conversations

GET
/connections/{code}/scheduled-conversations

List scheduled conversations (bookings) for a connection. Org-scoped via API key.

Authorization

apiKeyAuth
AuthorizationBearer <token>

Backend API key for server-to-server calls. Format: sk_live_... or sk_test_...

In: header

Path Parameters

code*string

Query Parameters

status?string

Comma-separated list of statuses to filter by (scheduled, joined, completed, canceled, no_show).

from_date?string
Formatdate-time
to_date?string
Formatdate-time
limit?integer
Default50
Range1 <= value <= 200
offset?integer
Default0
Range0 <= value

Response Body

application/json

application/json

curl -X GET "https://api.tellcasey.com/v1/backend/connections/string/scheduled-conversations"
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "connection_code": "string",
      "slug": "string",
      "participant_email": "string",
      "participant_name": "string",
      "participant_timezone": "string",
      "scheduled_for": "2019-08-24T14:15:22Z",
      "status": "scheduled",
      "reschedule_count": 0,
      "ics_sequence": 0,
      "joined_at": "2019-08-24T14:15:22Z",
      "completed_at": "2019-08-24T14:15:22Z",
      "canceled_at": "2019-08-24T14:15:22Z",
      "cancel_reason": "string",
      "created_at": "2019-08-24T14:15:22Z"
    }
  ],
  "pagination": {
    "has_more": true,
    "next_cursor": "string",
    "prev_cursor": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}